Description

Hello,

It will be nice if the project list (http://path_to_redmine/projects) is displayed as collapsible tree view. This does matter when there are

many projects.

Another way to make the project list shorter would be project grouping based on the project hierarchy -- visually it would looks like

issue lists, grouped by some field, assignee par example. This way the user may expand one project group only -- that one he wants

to see. This could be saved in a cookie or some other way between sessions.

When there are few projects tree view may be annoyance. So it will be nice if the user may select what view of the projects he/she

wants: the current simple list or tree view or project grouping. Par example:

option in the user profile to permanently select preferred view

options on projects list view to switch to another view

Ivan

Related issues:

Related to Redmine - Feature #3224: Better project list Closed 2009-04-23

History

#1 - 2011-11-26 07:09 - Ivan Cenov

- Status changed from New to Resolved

This issue is resolved by project_tree_view plugin.

Please close this issue.

#2 - 2013-01-15 22:30 - Jan Niggemann (redmine.org team member)

Closing this, status is resolved since 400 days and more (issue was last updated more than 400 days ago)...

#3 - 2013-01-15 22:37 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed

#4 - 2013-09-30 12:04 - Andriy Lesyuk

This issue can be resolved by my Project Sections plugin:

The plugin splits the default full project list into sections (similar to Wiki sections). This way you still get the full list, but grouped.

Additionally, each section has it own page, i.e., a shorter project list. The plugin provides multiple ways to navigate to a section page:

1. Through the jump box on the project list or section page.

2. Through the project heading.

3. By clicking on the section title or its part.

See also: http://projects.andriylesyuk.com/projects/project-sections/wiki

#5 - 2013-09-30 19:06 - Ivan Cenov

Andriy Lesyuk wrote:

This issue can be resolved by my Project Sections plugin:
http://path_to_redmine/projects
http://www.redmine.org/plugins/projectstreeview
http://projects.andriylesyuk.com/projects/project-sections/wiki


The plugin splits the default full project list into sections (similar to Wiki sections). This way you still get the full list, but grouped.

Additionally, each section has it own page, i.e., a shorter project list. The plugin provides multiple ways to navigate to a section page:

1. Through the jump box on the project list or section page.

2. Through the project heading.

3. By clicking on the section title or its part.

 I'll try it for sure and I suppose that projects_tree_view plugin shall/may be discarded (the clone I use has some defects in collapse/expand tree

function).

See also: http://projects.andriylesyuk.com/projects/project-sections/wiki
